{% extends theme("layout.html") %} {% block css %} {{ super() }}
<link rel=stylesheet type=text/css href="{{ theme_static('css/awards.css') }}">
<style>
  .h1,
  .h2,
  .h3,
  .h4,
  .h5,
  .h6,
  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    font-family: sans-serif !important;
  }

  /* 
body {
    background-color: #fff !important;
} */
</style>
{% endblock %} {% block content %}

<div class="certificate-container">
  <div class="border">
    <img class="prisma1" src="{{ theme_static('img/top.jpeg') }}" alt="primsa1" />
    <div class="row">
      <div class="col-xs-12 cert-info__container">
        <div class="center-stuff award-information">
          <h2 class="subtitle">CERTIFICATE OF PARTICIPATION</h2>
          <span class="name-info">
            <h5 class="recognize">WE HEREBY RECOGNIZE</h5>
            <span id="participant" class="name"></span>
          </span>
          <span class="certficate__cause">for participating in the UNICEF Venture's </span>
          <span id="course" class="certficate__cause"></span>
          <br />
          <p class="course_info">
            <strong class="certficate__cause">Issued</strong>
            <strong id="date" class="certficate__cause"></strong>
          </p>
          <br />
          <img src="{{ theme_static('img/logo_blue.png') }}" alt="Blue UNICEF Logo" class="middle-unicef_logo"/>
          <hr class="line_unicef-logo" />
        </div>
      </div>
    </div>

    <div class="row hidden-print verify-section" style="margin-top: 40px;">
      <div class="col-xs-12 col-md-5">
        <div class="row">
          <div class="col-xs-12" style="margin-bottom: 5%; display:flex; justify-content: center; align-items: center; flex-direction: column;">
            <button class="verify-button" id="verify-button" value="{{ verification_info }}">
              Verify
            </button>
            <span id="verified">
              <img id="verified-icon" src="{{ theme_static('img/verified.png') }}" />
              Verified
            </span>
            <span id="not-verified">
              <img id="not-verified-icon" src="{{ theme_static('img/not-verified.png') }}" />
              Failed to Verify
            </span>
          </div>
          <div class="col-xs-12" style="display:flex; justify-content: center;">
            <button class="print-button" id="print-btn">Print QR</button>
          </div>
        </div>
      </div>
      <div class="col-xs-12 col-md-7">
        <span style="font-size: 12px; font-family: sans-serif; font-weight: 100">
          This certificate was digitally issued on the
          <span class="long-word primary-text" id="blockchain">{{ award.chain }}</span> Blockchain
          <br />
          Issuer ID
          <a href="{{ award.issuerIDOEA }}">
            <span class="long-word primary-text">{{ award.issuerID }}</span>
          </a>
          <br />
          Issued On
          <span class="long-word primary-text" id="issuedOn">--/--/----</span>
          <br />
          Blockchain Transaction ID
          <a target="_blank" href="{{ award.transactionIDURL }}">
            <span class="long-word primary-text">{{ award.transactionID }}</span>
          </a>
          <br />
          Unique ertificate Hash
          <span class="long-word primary-text" id="hash"></span>
          <br />
          Unique Certificate Key
          <a target="_blank" href="" id="uuidurl">
            <span class="long-word primary-text" id="uuid"></span>
          </a>
        </span>
      </div>
    </div>
    <div class="row hidden-print output-txt-container" style="margin-bottom: 100px;">
      <div class="col-xs-12">
        <h6 id="progress-msg" class="long-word output-txt"></h6>
      </div>
    </div>
    <div class="row show-print" style="margin-top: 40px">
      <div class="col-xs-9">
        <span style="font-size: 12px; font-family: sans-serif; font-weight: 100">
          Este certificado fue firmado digitalmente en la Blockchain de
          <span class="long-word primary-text" id="blockchain">{{ award.chain }}</span>
          <br />
          ID Emisor
          <a href="{{ award.issuerIDOEA }}">
            <span class="long-word primary-text">{{ award.issuerID }}</span>
          </a>
          <br />
          Fecha de certificación
          <span class="long-word primary-text" id="issuedOn_print">--/--/----</span>
          <br />
          ID de transacción en Blockchain
          <a target="_blank" href="{{ award.transactionIDURL }}">
            <span class="long-word primary-text">{{ award.transactionID }}</span>
          </a>
          <br />
          Hash único de certificado
          <span class="long-word primary-text" id="hash_print"></span>
          <br />
          Llave única de certificado
          <a target="_blank" href="" id="uuidurl">
            <span class="long-word primary-text" id="uuid_print"></span>
          </a>
        </span>
        <br />
        <br />
      </div>
      <div class="col-xs-3 print-qr">
        <canvas id="qr" class="qr"></canvas>
      </div>
    </div>
    <div class="row hidden-print">
      <div class="col-xs-12">
        <button class="verify-button" id="verify-button" value="{{ verification_info }}">
          Verificar
        </button>
        <span id="verified">
          <img id="verified-icon" src="{{ theme_static('img/verified.png') }}" />
          Verificado
        </span>
        <span id="not-verified">
          <img id="not-verified-icon" src="{{ theme_static('img/not-verified.png') }}" />
          No Verificado</span>
      </div>
    </div>

    <div class="row emitido">
      <div class="col-xs-12 text-center">
        <span>Certificado emitido por:
          <a href="https://os.city/">
            <img class="enterprise-logo" src="{{ theme_static('img/logoscity.jpeg') }}" alt="" />
          </a>
        </span>
      </div>
    </div>
    <img class="prisma2 hidden-print" src="{{ theme_static('img/bottom.jpeg') }}" alt="prisma2" />
  </div>
</div>
{% endblock %} {% block scripts %}
<script src="{{ theme_static('js/verification.js') }}"></script>
<script src="/static/js/print.js"></script>
<script src="{{ theme_static('js/moment.js') }}"></script>
<script src="{{ theme_static('js/qrious.min.js') }}"></script>
<script>
  var urlParts = window.location.href.split('/');
  var url = '/certificate/' + urlParts[[urlParts.length - 1]];
  $.ajax({
    url: url,
    contentType: 'application/json', // 'multipart/form-data', 'text/plain'
    type: 'GET',
    success: function (data, status, jqXHR) {
      console.log('response: ', data);
      document.getElementById('participant').innerHTML = data.participant;
      document.getElementById('course').innerHTML =
        data.course;
      document.getElementById('date').innerHTML = data.date;
      document.getElementById('issuedOn').innerHTML = moment(data.issuedOn.split(
        'T'
      )[0]).format('DD-MM-YYYY');
      document.getElementById('issuedOn_print').innerHTML = moment(data.issuedOn.split(
        'T'
      )[0]).format('DD-MM-YYYY');
      document.getElementById('hash').innerHTML = data.signature.targetHash;
      document.getElementById('hash_print').innerHTML = data.signature.targetHash;
      document.getElementById('uuid').innerHTML = data.id.split(':')[2];
      document.getElementById('uuid_print').innerHTML = data.id.split(':')[2];
      document.getElementById('uuidurl').href =
        '/certificate/' + data.id.split(':')[2];
    },
  });
  var qr = new QRious({
    element: document.getElementById('qr'),
    value: window.location.href,
    size: 160,
  });
</script>
{% endblock %}